« 教師のいやがらせ問題5 | トップページ | 手作りスコーン »

2019年4月27日 (土)

glib-2.61.0 を入れる

今日は、macOS、HighSierraに、いろいろなupdateをあてました。

cmake-3.14.3
opus-1.3.1
pcre2-10.33
glib-2.61.0

つまづいたのがglibを入れようとしたところ。Meson build systemを入れないといけない。これ、Python3で書かれたconfigure環境なのだそうだ。 つまり、Python3(mac標準はPython2.7)も入れないといけない。 そして、buildシステムにはninjaも入れないと。

Python3は前に入れてあった。 meson-0.50.1 を入れます。

python3 setup.py install

 

ninja-1.9.0を入れましょう。

./configure.py --bootstrap
$ sudo install -vm755 ninja /usr/local/bin

 

で、やっと、glib-2.61.0を作成できます。

$ meson _build
$ sudo ninja -C _build install

※ iconvがOS標準でないとbuildできません。/usr/local/lib/iconv.h を一時無効にして対応しました。

unix的にmacOSを使うのも、慣れてきました。(笑)

|

« 教師のいやがらせ問題5 | トップページ | 手作りスコーン »

コメント

コメントを書く



(ウェブ上には掲載しません)




« 教師のいやがらせ問題5 | トップページ | 手作りスコーン »